import { isDev } from '../module/is-dev';

export const links = [
  {
    title: '单页面应用开发',
    description: '单页面应用开发模块。部署单个的网页的页面，适配简单的模块。复杂的使用管理中心。',
    link: '/root/ai-pages/apps/html/',
  },
  {
    title: '提示词规划器（Mark Prompts)',
    description: '提示词规划设计的模块。Mark的数据，type为chat的数据。',
    link: '/root/ai-pages/mark/ai-prompts/',
  },
  {
    title: '管理中心',
    description: '高级的代码管理中心，网页的版本上传和管理功能。',
    link: '/root/center/',
  },
  {
    title: 'Mark Link',
    description: 'Mark的管理模块, 网页导航搜索查询。Mark的数据，type类型为md。',
    link: '/root/ai-pages/mark/ai-mark/',
  },
  {
    title: 'Mark Draw',
    description: 'Mark的管理模块, Excaildraw的封装应用。Mark的数据，type类型为excaildraw。',
    link: '/root/ai-pages/mark/draw/',
  },
  {
    title: 'Editor(Dev)',
    description: 'Demo编辑器，支持Markdown编辑',
    link: '/root/ai-pages/ai-editor/',
  },
].map((item) => {
  if (isDev()) {
    console.warn('Dev mode: link replaced', item.link);
    item.link = item.link.replace('/root/ai-pages', '');
  }
  return item;
});

export const links2 = [
  {
    title: 'cli',
    description: '命令行工具，支持多种功能',
    link: '/root/cli',
  },
];
