import { createRoot } from 'react-dom/client';
import { App } from './App.tsx';
import { ToastContainer } from 'react-toastify';
// import { I18NextProvider, initI18n } from '@kevisual/components/translate/index.tsx';

export const Bootstrap = (element: HTMLElement) => {
  createRoot(element).render(
    <>
      {/* <I18NextProvider basename={'/root/locales'} noUse={false}> */}
      <App />
      {/* </I18NextProvider> */}
      <ToastContainer />
    </>,
  );
};
type RenderProps = {
  renderRoot: HTMLElement;
};
export const render = ({ renderRoot }: RenderProps) => {
  Bootstrap(renderRoot);
};
